Accounts APIAccounts

Get account details

GET
/accounts/{accountId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

Path Parameters

accountId*string

Unique identifier of the account.

Formatuuid

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1

Response Body

Successful account details response.

application/json
  1. response
id?string

Id of Account.

Formatuuid
currency?CurrencyCode

Three-letter ISO 4217 currency code.

Match^[A-Z]{3}$
identifications?array<|>

A list of one or more account identifiers.

Items1 <= items
name?string

User-defined account alias.

active?boolean

Boolean flag indicating if the account is currently enabled for processing transactions.

status?AccountStatusEnum

The current status of the account.

Value in"ACTIVE""SUSPENDED""CLOSED"
country?CountryCode

Alpha-2 country code

Match^[A-Z]{2}$
balance?

The account balance in minor units.

type?AccountType
Value in"VOLT_ACCOUNT""NAMED_ACCOUNT""CONNECTED_ACCOUNT"
subType?AccountSubType
Value in"BUSINESS""INDIVIDUAL"
accountHolder?
_links?
curl -X GET "https://example.com/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "X-Volt-Api-Version: 1"
{  "id": "7523a8d3-70a9-4448-822a-ba1a38e0b715",  "currency": "EUR",  "identifications": [    {      "iban": "DE33500105173822933531",      "bic": "ALBPPLPW"    }  ],  "name": "My EUR account",  "active": true,  "country": "DK",  "balance": {    "available": 123,    "timestamp": "2023-10-16T16:52:37+00:00"  },  "type": "VOLT_ACCOUNT"}